Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.notification
Class NotificationListenerProxy

    java.lang.Object
      org.jboss.mx.notification.NotificationListenerProxy

All Implemented Interfaces:
  InvocationHandler

public class NotificationListenerProxy
extends Object
implements InvocationHandler

A notification listener used to forward notifications to listeners added through the mbean server.

The original source is replaced with the object name.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock., Tom Elrod.

Constructor Summary
`NotificationListenerProxy(ObjectName name, NotificationListener listener)` Create a new Notification Listener Proxy

Method Summary
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`static Object` | `newInstance(ObjectName name, NotificationListener listener)`
`protected Boolean` | `proxyEquals(Object proxy, Object other)`
`protected Integer` | `proxyHashCode(Object proxy)`
`protected String` | `proxyToString(Object proxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationListenerProxy

    public NotificationListenerProxy(ObjectName name,
                                     NotificationListener listener)

  Create a new Notification Listener Proxy

Parameters:
  `name` - the object name
  `listener` - the original listener

Method Detail

### newInstance

    public static Object newInstance(ObjectName name,
                                     NotificationListener listener)

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### proxyHashCode

    protected Integer proxyHashCode(Object proxy)

### proxyEquals

    protected Boolean proxyEquals(Object proxy,
                                  Object other)

### proxyToString

    protected String proxyToString(Object proxy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.